import UIKit

/// Segue that replaces the rootViewController. This way the previous controller is destroyed and not held in memory any longer.
class ReplaceSegue: UIStoryboardSegue {
    override func perform() {
        if let window = UIApplication.shared.keyWindow
        {
            UIView.transition(with: window, duration: 0.5, options: UIView.AnimationOptions.transitionFlipFromLeft, animations: {
                window.rootViewController = self.destination
            }, completion: nil)
        }
    }
}
