import Foundation

extension FirmwareUpdatePresenterState
{
    func toLocalizedString() -> String {
        switch self {
        case .start:
            return localize(key: "FirmwareUpdatePresenterState.start")
        case .updateAvailable:
            return localize(key: "FirmwareUpdatePresenterState.updateAvailable")
        case .connectingToBackend:
            return localize(key: "FirmwareUpdatePresenterState.connectingToBackend")
        case .downloading(let progress):
            return localize(key: "FirmwareUpdatePresenterState.downloading", withArgs: progress)
        case .uploading(let progress):
            return localize(key: "FirmwareUpdatePresenterState.uploading", withArgs: progress)
        case .rebooting:
            return localize(key: "FirmwareUpdatePresenterState.rebooting")
        case .finished(let error):
            guard let error = error else{
                return localize(key: "FirmwareUpdatePresenterState.finished")
            }
            return localize(key: "FirmwareUpdatePresenterState." + error.rawValue)
        }
    }
}
