//
//  RealTimeDataViewController.swift
//  LINK100-SDK-Demo
//
//  Created by Jens Bader on 03.12.18.
//  Copyright © 2018 TomTom Telematics. All rights reserved.
//

import UIKit

class RealTimeDataViewController: UIViewController, RealTimeDataPresenterDelegate {
    let presenter = RealTimeDataPresenter(serviceClient: ServiceClientFactory.serviceClient)
    @IBOutlet weak var odometerValueLabel: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        presenter.delegate = self
        updateValues()
    }
    
    @IBAction func startRealTimeData(_ sender: Any) {

        presenter.startRealTimeData()
    }
    
    @IBAction func stopRealtimeData(_ sender: Any) {
        presenter.stopRealTimeData()
    }
    
    func onDatagramChanged() {
        updateValues()
    }
    
    private func updateValues() {
        odometerValueLabel.text = presenter.odometer
    }
    
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
    }
    */

}
