/**
 Custom reasons why the LINK device was unplugged.
 Those reasons will be stored on the backend for later processing.
 */
enum ClockSyncReason : String, CaseIterable {
    case batteryService
    case maintenance
    case other
    
    var value : Int32 {
        switch self {
        case .batteryService:
            return 1
        case .maintenance:
            return 2
        case .other:
            return 99
        }
    }
}
