extension SynchronizationPresenterState
{
    func toLocalizedString(progress: Float) -> String {
        switch self {
        case .start, .connectingToBackend:
            return localize(key: "SynchronizationPresenterState.connectingToBackend")
        case .clockSynchronization:
            return localize(key: "SynchronizationPresenterState.clockSynchronization")
        case .downloading:
            return localize(key: "SynchronizationPresenterState.downloading", withArgs: progress * 100)
        case .uploading:
            return localize(key: "SynchronizationPresenterState.uploading")
        case .finished(let error):
            guard let error = error else{
                return localize(key: "SynchronizationPresenterState.finished")
            }
            return localize(key: "SynchronizationPresenterState." + error.rawValue)
        }
    }
}
